﻿using System.Windows;
using System.Windows.Controls;
using Infragistics.Extensions;
using System.Diagnostics;

namespace XamDataPresenterAdornerFramework
{
    /// <summary>
    /// Interaction logic for EmailAdorner.xaml
    /// </summary>
    public partial class EmailAdorner : XamDataPresenterFieldAdorner
    {
        public EmailAdorner()
        {
            InitializeComponent();
        }

        private void SendEmailClick(object sender, RoutedEventArgs e)
        {
            Button btn = e.OriginalSource as Button;
            if (btn != null)
                Process.Start(string.Format("mailto:{0}", btn.Tag));
        }
    }
}
